Bug 1495270 - Panko: mysql bigint support
Summary: Panko: mysql bigint support
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-panko
Version: 11.0 (Ocata)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: z4
: 11.0 (Ocata)
Assignee: Julien Danjou
QA Contact: Sasha Smolyak
URL:
Whiteboard:
Depends On: 1484078
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-25 16:13 UTC by Pradeep Kilambi
Modified: 2018-06-07 11:29 UTC (History)
9 users (show)

Fixed In Version: openstack-panko-2.0.2-2.el7ost
Doc Type: Bug Fix
Doc Text:
The Telemetry Event Storage used a SQL database column ('trait_int') with an 'Integer' type. This caused SQL errors due to the values in this column exceeding integer limits. This fix changes 'trait_int' to use 'BigInteger' values. The SQL errors no longer appear.
Clone Of: 1484078
Environment:
Last Closed: 2018-02-13 16:38:01 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Launchpad 1644954 None None None 2017-09-25 16:13:30 UTC
OpenStack gerrit 484972 None MERGED sql: support bigint traits 2020-04-13 11:18:04 UTC
Red Hat Knowledge Base (Solution) 3175651 None None None 2017-09-25 16:13:30 UTC
Red Hat Product Errata RHBA-2018:0311 normal SHIPPED_LIVE Red Hat OpenStack Platform 11 Bug Fix and Enhancement Advisory 2018-02-14 00:05:57 UTC

Comment 8 errata-xmlrpc 2018-02-13 16:38:01 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:0311

Comment 9 Ankur Garg 2018-06-07 11:29:11 UTC
Hello,

Using Ocata Release (rhosp-release-11.0-2.el7ost.noarch) and tried following patch as resolution for this bug but it didnt make any change in trait_int table in DB:

openstack-panko-api-2.0.2-4.el7ost.noarch
python-panko-2.0.2-4.el7ost.noarch
openstack-panko-common-2.0.2-4.el7ost.noarch


Please check as after applying patch table remains same as:

desc trait_int;
+----------+--------------+------+-----+---------+-------+
| Field    | Type         | Null | Key | Default | Extra |
+----------+--------------+------+-----+---------+-------+
| event_id | int(11)      | NO   | PRI | NULL    |       |
| key      | varchar(255) | NO   | PRI | NULL    |       |
| value    | int(11)      | YES  |     | NULL    |       |
+----------+--------------+------+-----+---------+-------+
3 rows in set (0.01 sec)


Note You need to log in before you can comment on or make changes to this bug.